## org.apache.batik.parser
Interface UnitProcessor.Context

All Known Implementing Classes:
  AbstractSVGLength.DefaultContext, UnitProcessor.DefaultContext

Enclosing interface:
  UnitProcessor

public static interface UnitProcessor.Context

Holds the informations needed to compute the units.

Method Summary
`org.w3c.dom.Element` `getElement()` Returns the element.
`float` `getFontSize()` Returns the font-size value.
`float` `getPixelToMM()` Returns the size of a px CSS unit in millimeters.
`float` `getPixelUnitToMillimeter()` Returns the size of a px CSS unit in millimeters.
`float` `getViewportHeight()` Returns the viewport height used to compute units.
`float` `getViewportWidth()` Returns the viewport width used to compute units.
`float` `getXHeight()` Returns the x-height value.

Method Detail

### getElement

    public org.w3c.dom.Element getElement()

  Returns the element.

### getPixelUnitToMillimeter

    public float getPixelUnitToMillimeter()

  Returns the size of a px CSS unit in millimeters.

### getPixelToMM

    public float getPixelToMM()

  Returns the size of a px CSS unit in millimeters. This will be removed after next release.

  See Also:
    `getPixelUnitToMillimeter()`

### getFontSize

    public float getFontSize()

  Returns the font-size value.

### getXHeight

    public float getXHeight()

  Returns the x-height value.

### getViewportWidth

    public float getViewportWidth()

  Returns the viewport width used to compute units.

### getViewportHeight

    public float getViewportHeight()

  Returns the viewport height used to compute units.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.